package crimsonwoods.android.libs.uvccap;

public enum PixelFormat{
	RGB565(0),
	RGB32(1),
	BGR32(2),
	YUYV(3),
	UYVY(4),
	YUV420(5),
	YUV410(6),
	YUV422P(7),
	MJPG(8),
	NV12(9),
	NV21(10),
	UNKNOWN(-1);
	
	int value;
	
	PixelFormat(int value) {
		this.value = value;
	}
	
	public static PixelFormat from(int value) {
		switch(value) {
		case 0:
			return RGB565;
		case 1:
			return RGB32;
		case 2:
			return BGR32;
		case 3:
			return YUYV;
		case 4:
			return UYVY;
		case 6:
			return YUV410;
		case 7:
			return YUV422P;
		case 8:
			return MJPG;
		case 9:
			return NV12;
		case 10:
			return NV21;
		default:
			return UNKNOWN;
		}
	}
}